com.independentsoft.exchange

## Enum ContainmentComparison

- java.lang.Object
- - java.lang.Enum<ContainmentComparison>
  - - com.independentsoft.exchange.ContainmentComparison

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ContainmentComparison>

      public enum ContainmentComparison
      extends java.lang.Enum<ContainmentComparison>

  Indicates whether the search ignores casing and spaces.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXACT` Specifies that the comparison must be exact.
    `IGNORE_CASE` Specifies that the comparison ignores casing.
    `IGNORE_CASE_AND_NON_SPACING_CHARACTERS` Specifies that the comparison ignores casing and non-spacing characters.
    `IGNORE_NON_SPACING_CHARACTERS` Specifies that the comparison ignores non-spacing characters.
    `LOOSE` To be removed.
    `LOOSE_AND_IGNORE_CASE` To be removed.
    `LOOSE_AND_IGNORE_CASE_AND_IGNORE_NON_SPACE` To be removed.
    `LOOSE_AND_IGNORE_NON_SPACE` To be removed.
    `NONE` None.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContainmentComparison` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ContainmentComparison[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXACT

          public static final ContainmentComparison EXACT

      Specifies that the comparison must be exact.

    - #### IGNORE_CASE

          public static final ContainmentComparison IGNORE_CASE

      Specifies that the comparison ignores casing.

    - #### IGNORE_NON_SPACING_CHARACTERS

          public static final ContainmentComparison IGNORE_NON_SPACING_CHARACTERS

      Specifies that the comparison ignores non-spacing characters.

    - #### LOOSE

          public static final ContainmentComparison LOOSE

      To be removed.

    - #### IGNORE_CASE_AND_NON_SPACING_CHARACTERS

          public static final ContainmentComparison IGNORE_CASE_AND_NON_SPACING_CHARACTERS

      Specifies that the comparison ignores casing and non-spacing characters.

    - #### LOOSE_AND_IGNORE_CASE

          public static final ContainmentComparison LOOSE_AND_IGNORE_CASE

      To be removed.

    - #### LOOSE_AND_IGNORE_NON_SPACE

          public static final ContainmentComparison LOOSE_AND_IGNORE_NON_SPACE

      To be removed.

    - #### LOOSE_AND_IGNORE_CASE_AND_IGNORE_NON_SPACE

          public static final ContainmentComparison LOOSE_AND_IGNORE_CASE_AND_IGNORE_NON_SPACE

      To be removed.

    - #### NONE

          public static final ContainmentComparison NONE

      None.

  - ### Method Detail

    - #### values

          public static ContainmentComparison[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContainmentComparison c : ContainmentComparison.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContainmentComparison valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null